
//
//  CommonMacroDefinition.h
//  LittleInvestLetou
//
//  Created by zhouyang on 17/1/11.
//  Copyright © 2017年 zhouyang. All rights reserved.
//

#ifndef CommonMacroDefinition_h
#define CommonMacroDefinition_h

#import "UILabel+layout.h"
#import "UIButton+layout.h"
#import "MyControl.h"
#import <Foundation/Foundation.h>

/*
 表的上拉下拉 刷新
 */
#define downPullToRefreshText @"下拉可以刷新..."
#define ReleaseToRefreshText @"松开即可刷新..."
#define RefreshingText @"加载中..."
#define upPullToRefreshText @"上拉可以刷新..."

/*
 判断版本和设备
 */
// 1.判断是否为iOS7
#define iOS7 ([[UIDevice currentDevice].systemVersion doubleValue] >= 7.0)

#define IOS8_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"8.0"] != NSOrderedAscending )
#define IOS7_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"7.0"] != NSOrderedAscending )
#define IOS6_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"6.0"] != NSOrderedAscending )
#define IOS5_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"5.0"] != NSOrderedAscending )
#define IOS4_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"4.0"] != NSOrderedAscending )
#define IOS3_OR_LATER		( [[[UIDevice currentDevice] systemVersion] compare:@"3.0"] != NSOrderedAscending )

#define IOS7_OR_EARLIER		( !IOS8_OR_LATER )
#define IOS6_OR_EARLIER		( !IOS7_OR_LATER )
#define IOS5_OR_EARLIER		( !IOS6_OR_LATER )
#define IOS4_OR_EARLIER		( !IOS5_OR_LATER )
#define IOS3_OR_EARLIER		( !IOS4_OR_LATER )

#define IS_SCREEN_4_INCH	([UIScreen instancesRespondToSelector:@selector(currentMode)] ? CGSizeEqualToSize(CGSizeMake(640, 1136), [[UIScreen mainScreen] currentMode].size) : NO)
#define IS_SCREEN_35_INCH	([UIScreen instancesRespondToSelector:@selector(currentMode)] ? CGSizeEqualToSize(CGSizeMake(640, 960), [[UIScreen mainScreen] currentMode].size) : NO)
//是否为iphone4
#define IS_IPHONE_4 ( fabs( ( double )[ [ UIScreen mainScreen ] bounds ].size.height - ( double )480 ) < DBL_EPSILON )

//是否为iphone5
#define IS_IPHONE_5 ( fabs( ( double )[ [ UIScreen mainScreen ] bounds ].size.height - ( double )568 ) < DBL_EPSILON )

//是否为iphone6
#define IS_IPHONE_6 ( fabs( ( double )[ [ UIScreen mainScreen ] bounds ].size.height - ( double )667 ) < DBL_EPSILON )

//是否为iphone6Plus
#define IS_IPHONE_6PLUS ( fabs( ( double )[ [ UIScreen mainScreen ] bounds ].size.height - ( double )736 ) < DBL_EPSILON )

//获取屏幕宽度
#define KScreenWidth  [UIScreen mainScreen].bounds.size.width
//获取屏幕高度
#define KScreenHeight [UIScreen mainScreen].bounds.size.height
#define ZYWidth(x)     (x * KScreenWidth)/375
#define ZYHeight(y)    (y * KScreenHeight)/667

//调试
/*
 debug就是所谓的调试模式，在debug下肯定要打印输出，调试，在打包后下这些是不需要的，占内存，在pch中加入下面的宏，打印用。在打包后会自动取消打印
 */
#ifdef DEBUG
#define BMLog( s, ... ) NSLog( @"<%@:(%d)> %@", [[NSString stringWithUTF8String:__FILE__] lastPathComponent], __LINE__, [NSString stringWithFormat:(s), ##__VA_ARGS__] )//分别是文件名，在文件的第几行，自定义输出内容
#else
#define  BMLog( s, ... )
#endif

#pragma mark---颜色
//获得RGB颜色
#define LYColor(r, g, b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]
#pragma mark -----+++++++++++++新版统一颜色
//新版颜色统一
//背景色
//导航栏的背景红色
#define K_BgColor_Nav_RedColor [MyControl getColor:@"cd0000"]
//按钮默认颜色
#define K_BgColor_Btn_LightGrayColor [MyControl getColor:@"f5f5f5"]
#define K_BgColor_Btn_RedColor [MyControl getColor:@"E84136"]
#define K_BgColor_Btn_YellowColor [MyControl getColor:@"fed13c"]

//view 背景的颜色
//view 默认红色
#define K_BgColor_View_RedColor [MyControl getColor:@"cd0000"]
//view 默认灰色
#define K_BgColor_View_LightGrayColor [MyControl getColor:@"f5f5f5"]
//view 默认灰色
#define K_BgColor_View_DeepLightGrayColor [MyControl getColor:@"cccccc"]
//table 的footView 背景色
#define K_BgColor_FootView_bgColor [MyControl getColor:@"f5f5f5"]
//table 的header 背景色
#define K_BgColor_headerView_bgColor [MyControl getColor:@"f5f5f5"]
//
#define K_BgColor_view_yellow [MyControl getColor:@"a77335"]
//white
#define K_BgColor_WhiteColor [UIColor whiteColor]
//table 的背景色
#define K_BgColor_Table_BgColor [UIColor whiteColor]

//2,字体颜色
//特殊红色
#define K_text_Special_RedColor [MyControl getColor:@"fb051d"]
//红色字体
#define K_text_RedColor [MyControl getColor:@"ff0000"]
//黑色字体
#define K_Text_BlackColor [MyControl getColor:@"333333"]
//浅灰色字体
#define K_Text_LightGrayColor [MyControl getColor:@"666666"]
//超浅灰色字体
#define K_Text_Deep_LightGrayColor [MyControl getColor:@"999999"]
//白色字体
#define K_Text_WhiteColor [MyControl getColor:@"ffffff"]

//蓝色字体
#define K_Text_BlueColor [UIColor blueColor]
//黄色字体
#define K_Text_YellowColor [MyControl getColor:@"e5a82e"]
//黄灰色字体
#define K_Text_GrayishYellowColor [MyControl getColor:@"a77335"]

//字体大小

#define K_Font_Max_Text  [UIFont systemFontOfSize:17]
#define K_Font_Max_Little_Text  [UIFont systemFontOfSize:16]
#define K_Font_Normal_Max_Text  [UIFont systemFontOfSize:15]
#define K_Font_Normal_Text  [UIFont systemFontOfSize:14]
#define K_Font_Normal_little_Text  [UIFont systemFontOfSize:13]
#define K_Font_Min_Text  [UIFont systemFontOfSize:12]
#define K_Font_Min_little_Text  [UIFont systemFontOfSize:11]

#define K_Font_Earn_Text  [UIFont systemFontOfSize:18]
#define K_Font_Money_Text  [UIFont systemFontOfSize:22]

//3,间距
//左间距
#define K_Pading_leftPanding 10
//右间距
#define K_Pading_rightPanding 10
//中间距
#define K_Pading_middlePanding 10
//行高
#define K_Height_RowHeight 70
#define K_Height_RowHeight_login 60

//按钮
//底部按钮左间距
#define K_Btn_bottomBtn_Left_Panding 20
//底部按钮高度
#define K_Btn_bottomBtn_height 39
//底部按钮字体大小
#define K_Btn_bottomBtn_font [UIFont systemFontOfSize:16.0]
//

#define K_Btn_backGroundColor_LightGrayColor [MyControl getColor:@"999999"]

//导航栏上的
//NAV上的title字体大小
#define K_Nav_navTitleFont  [UIFont systemFontOfSize:18]
//Nav上的字体颜色
#define K_Nav_navTitleColor_color [UIColor whiteColor]
//#define K_Nav_navTitleColor_blackColor  [UIColor blackColor]
//Nav背景颜色
#define K_Nav_navBGColor_color [UIColor whiteColor]
//Nav背景颜色
#define K_Nav_navYellowBGColor_color [MyControl getColor:@"e5a82e"]
//NAV返回按钮图片
#define K_Nav_BackBtn_image [UIImage imageNamed:@"ic_red_top_back_arow"]
#define K_Nav_BackBtn_imageStr @"ic_red_top_back_arow"
#define K_Nav_BackBtn_white_imageStr @"product_ details_return"

//NAV上的按钮字体字体大小
#define K_Nav_navBtnFont  [UIFont systemFontOfSize:14]

//线
//线的颜色
#define K_Line_lineColor [MyControl getColor:@"dddddd"]

#define K_Line_lineColor1 [MyControl getColor:@"cccccc"]
//线的宽度
#define K_Line_lineWidth  (1 / [UIScreen mainScreen].scale)

#pragma mark------图片
//默认图片
#define K_Image_defaultImage_placeholdImage [UIImage imageNamed:@"新年banner"]


//登录注册 启动页 引导页
#define K_Launch_isOnce   @"HasLaunchedOnce"//引导页
#define K_Login_UserInfoKey @"LoginUserInfoKey"//登录存储的key

#define K_Login_HaveLoginKey @"Login_HaveLoginKey"//登录存储的key
#define K_Balance_Hidden_key @"balance_ishidden"//余额是否隐藏key

//是否登录
#define K_HAVE_LOGIN [[NSUserDefaults standardUserDefaults]boolForKey:K_Login_HaveLoginKey]
//余额是否
#define K_Balance_isHidden [[NSUserDefaults standardUserDefaults]boolForKey:K_Balance_Hidden_key]


//userID
#define K_UserInfor_UserID [SaveUserInfo loadCustomObjectWithKey].userid

//存储token的key
#define K_Token_InfoKey @"TokenInfoKey"//token的key
#define K_Token_token [SaveTokenModelToll loadCustomObjectWithKey].token

//tabar切换通知
#define K_Tabbar_Switch @"SendSelectWho"

//数据默认条数
#define K_Default_data_dataNum 10

//加密
#define K_RSA_Encrypt_PublicKey @"MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCl0UEH2x2/7ZfFqwCUh1gDzdor8GrAqiQpgsFiIa0vTuGZn8PuUlZjMthCZJeQU1Zrxi+s7hwYvquKS1Q49yTICpbBMlPkySPnHDgnPoDvCyLTaWFaM8SsLOsE/Mq6AryWOhSvusDcJK5iBzQjM/b1OqGiCkLJgMe2lm4ktGizLwIDAQAB"

#endif /* CommonMacroDefinition_h */
