//
//  SafeKeyboardView.m
//  LittleInvestLetou
//
//  Created by zhouyang on 17/3/28.
//  Copyright © 2017年 zhouyang. All rights reserved.
//


#import "SafeKeyboardView.h"
#import "AppDelegate.h"
#import "CommonMacroDefinition.h"

@interface SafeKeyboardView()

@property(nonatomic,assign)float btnHeight;
@property(nonatomic,assign)BOOL status;

@property(nonatomic,strong)UILabel *titleLab;
@property(nonatomic,strong)UIButton *submitBtn;


//装结果的数组
@property(nonatomic,strong)NSMutableArray *resultArr;
@property(nonatomic,strong)NSString *resultStr;

@property(nonatomic,strong)NSMutableArray *btnsArr;

//
@property(nonatomic,strong)NSArray *numArr;
@end

@implementation SafeKeyboardView
@synthesize delaget;

-(instancetype)initWithSomeChangeType:(NSInteger )changeType
{
    if (self=[super init])
    {
        //按键的高度
        _btnHeight = ZYHeight(50);
        _resultArr = [NSMutableArray array];
        _btnsArr = [NSMutableArray array];

        NSArray *numArr = [NSArray arrayWithObjects:@"0",@"1",@"2",@"3",@"4",@"5",@"6",@"7",@"8",@"9", nil];
        if (changeType==BoardNormal)
        {
            _numArr = numArr;
        }
        else if (changeType==BoardDisorder)
        {
            _numArr = [numArr sortedArrayUsingComparator:^NSComparisonResult(id  _Nonnull obj1, id  _Nonnull obj2) {
                int seed = arc4random_uniform(2);
                if (seed)
                {
                    return [obj1 compare:obj2];
                }
                else
                {
                    return [obj2 compare:obj1];
                }
                
            }];
        }
        
        self.backgroundColor = [UIColor whiteColor];
//        self.backgroundColor = K_BgColor_View_LightGrayColor;
        
        self.frame = CGRectMake(0, KScreenHeight,KScreenWidth, _btnHeight*4+40);
        
        
        //title lab
        _titleLab = [UILabel new];
        [self addSubview:_titleLab];
        _titleLab.text = @"安全键盘";
        _titleLab.textAlignment = NSTextAlignmentCenter;
        [_titleLab setFont:K_Font_Max_Little_Text textColor:K_Text_LightGrayColor withBackGroundColor:nil];
        
        //提交按钮
        _submitBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        [self addSubview:_submitBtn];
        [_submitBtn setNormalTitle:@"提交" font:K_Font_Normal_Max_Text  titleColor:K_Text_BlueColor];
        [_submitBtn addTarget:self action:@selector(submitTarget:) forControlEvents:UIControlEventTouchUpInside];
        //数字按钮
        float numBtnWidth = KScreenWidth/3;
        NSInteger index = 0;
        for (int i=0; i<4; i++)
        {
            for (int j=0; j<3; j++)
            {
                UIButton *numBtn = [UIButton buttonWithType:UIButtonTypeCustom];
                [self addSubview:numBtn];
                [_btnsArr addObject:numBtn];
                
                [numBtn addTarget:self action:@selector(numTarget:) forControlEvents:UIControlEventTouchUpInside];
                numBtn.tag = index;
                index++;
                
    
                if (index<=9)
                {//1-9
                  [numBtn setNormalTitle:numArr[index] font:K_Font_Max_Little_Text titleColor:K_Text_BlackColor];
                  numBtn.frame = CGRectMake(numBtnWidth*(j), 40+_btnHeight*(i%4), numBtnWidth, _btnHeight);
                }
                else
                {
                    if (index==11)
                    {//0
                         [numBtn setNormalTitle:numArr[0] font:K_Font_Max_Little_Text titleColor:K_Text_BlackColor];
                        numBtn.frame = CGRectMake(numBtnWidth*(j), 40+_btnHeight*(i%4), numBtnWidth, _btnHeight);
                    }
                    else
                    {
                        [numBtn setBackgroundColor:K_BgColor_View_LightGrayColor];
                        numBtn.frame = CGRectMake(numBtnWidth*(j)+K_Line_lineWidth, 40+_btnHeight*(i%4)+K_Line_lineWidth, numBtnWidth-K_Line_lineWidth, _btnHeight-K_Line_lineWidth*2);
                        
                        if (index==12)
                        {//删除键
                            [numBtn setNormalTitle:@"X" font:K_Font_Max_Little_Text titleColor:K_Text_BlackColor];
                        }
                        
                    }
                }
            }
        }
    }
    return self;
}

//划线
- (void)drawRect:(CGRect)rect
{
    CGContextRef contentext = UIGraphicsGetCurrentContext();
    
    CGPoint topPoints[2];
    topPoints[0] = CGPointMake(0, 0);
    topPoints[1] = CGPointMake(KScreenWidth, 0);
    
    [K_Line_lineColor set];
    
    CGContextAddLines(contentext, topPoints, 2);
    CGContextSetLineWidth(contentext, K_Line_lineWidth);
    CGContextDrawPath(contentext, kCGPathStroke);
    
   
    for (int i=0; i<5; i++)
    {
        CGPoint firstPoints[2];
        [K_Line_lineColor set];
        firstPoints[0] = CGPointMake(0, 40+_btnHeight*i);
        firstPoints[1] = CGPointMake(KScreenWidth, 40+_btnHeight*i);
        CGContextAddLines(contentext, firstPoints, 2);
        CGContextSetLineWidth(contentext, K_Line_lineWidth);
        CGContextDrawPath(contentext, kCGPathStroke);
    }
    
    for (int i=0; i<2; i++)
    {
        CGPoint firstPoints[2];
        [K_Line_lineColor set];
        firstPoints[0] = CGPointMake((KScreenWidth/3)*(i+1), 40);
        firstPoints[1] = CGPointMake((KScreenWidth/3)*(i+1), self.frame.size.height);
        CGContextAddLines(contentext, firstPoints, 2);
        CGContextSetLineWidth(contentext, K_Line_lineWidth);
        CGContextDrawPath(contentext, kCGPathStroke);
    }
}

-(void)layoutSubviews
{
    [super layoutSubviews];
    _titleLab.frame = CGRectMake(KScreenWidth/2-50, K_Line_lineWidth, 100, 40-K_Line_lineWidth*2);
    _submitBtn.frame = CGRectMake(KScreenWidth-60, CGRectGetMinY(_titleLab.frame), 60, CGRectGetHeight(_titleLab.frame));
}

#pragma mark--数字按钮事件
-(void)numTarget:(UIButton *)sender
{
    if (sender.tag==11)
    {//删除按钮
#pragma mark--删除按钮
        if ([delaget respondsToSelector:@selector(clickDeleteBtnWithSafeKeyboardView:)])
        {
            [delaget clickDeleteBtnWithSafeKeyboardView:self];
        }
        
    }
    else
    {
        if (sender.tag==9)
        {//空的一个
            
        }
        else
        {
            if ([delaget respondsToSelector:@selector(safeKeyboardView:transResultStr:)])
            {
                [delaget safeKeyboardView:self transResultStr:sender.titleLabel.text];
            }
            
        }
    }
}

#pragma mark--提交按钮事件
-(void)submitTarget:(UIButton *)sender
{
    if ([delaget respondsToSelector:@selector(clickCompleteBtnWithSafeKeyboardView:)])
    {
        [delaget clickCompleteBtnWithSafeKeyboardView:self];
    }
}


@end
