//
//  UILabel+layout.m
//  MaiQiDanGao
//
//  Created by zhouyang on 15/12/17.
//  Copyright © 2015年 ZhouYang. All rights reserved.
//

#import "UILabel+layout.h"

@implementation UILabel(UILabel_layout)
-(void)setTextStr:(NSString *)text andFontSize:(CGFloat)fontSize textColor:(UIColor *)textColor withBackGroundColor:(UIColor *)backGroundColor
{
    self.text = text;
    self.font = [UIFont systemFontOfSize:fontSize];
    
    if (backGroundColor==nil)
    {
        self.backgroundColor = [UIColor clearColor];
    }
    else
    {
      self.backgroundColor = backGroundColor;
    }
    
    self.textColor = textColor;
}

-(void)setFontSize:(CGFloat)fontSize textColor:(UIColor *)textColor withBackGroundColor:(UIColor *)backGroundColor
{
    self.font = [UIFont systemFontOfSize:fontSize];
    if (backGroundColor==nil)
    {
        self.backgroundColor = [UIColor clearColor];
    }
    else
    {
        self.backgroundColor = backGroundColor;
    }
    self.textColor = textColor;
}

-(void)setFont:(UIFont *)font textColor:(UIColor *)textColor withBackGroundColor:(UIColor *)backGroundColor
{
    
    if (backGroundColor==nil)
    {
        self.backgroundColor = [UIColor clearColor];
    
    }
    else
    {
        self.backgroundColor = backGroundColor;
    }
    self.textColor = textColor;
    self.font = font;
    
}

-(void)setLabelSpaceWithText:(NSString *)text  andLineSpacValue:(float)lineSpace  andWordSpace:(float)wordSpace withFont:(UIFont*)font
{
    NSMutableParagraphStyle *paraStyle = [[NSMutableParagraphStyle alloc] init];
    paraStyle.lineBreakMode = NSLineBreakByCharWrapping;
    paraStyle.alignment = NSTextAlignmentLeft;
    paraStyle.lineSpacing = lineSpace; //设置行间距
    paraStyle.hyphenationFactor = 1.0;
    paraStyle.firstLineHeadIndent = 0.0;
    paraStyle.paragraphSpacingBefore = 0.0;
    paraStyle.headIndent = 0;
    paraStyle.tailIndent = 0;
    //设置字间距 NSKernAttributeName:@1.5f
    NSDictionary *dic = @{NSFontAttributeName:font, NSParagraphStyleAttributeName:paraStyle, NSKernAttributeName:@(wordSpace)
                          };
    
    NSAttributedString *attributeStr = [[NSAttributedString alloc] initWithString:text attributes:dic];
    self.attributedText = attributeStr;
}
@end
